﻿@model RealEstateNews.Models.PostVM

@{
    ViewData["Title"] = "PostDetail";
    Layout = "_AdminLayout";
}

<div class="container">
    <h2>Post</h2>
    <hr />

    <div class="row">
        <div class="col-md-9">
            <form asp-action="CreatePost" method="post" enctype="multipart/form-data">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <input type="hidden" asp-for="Id"/>
                <div class="form-group">
                    <label asp-for="Title" class="control-label"></label>
                    <input asp-for="Title" class="form-control" />
                    <span asp-validation-for="Title" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="CategoryId" class="control-label"></label>
                    <select asp-for="CategoryId" asp-items="Model.Categories" class="custom-select form-control"></select>
                    <span asp-validation-for="CategoryId" class="text-danger"></span>
                </div>
                <div class="form-group form-check">
                    <input asp-for="IsHighlight" class="form-check-input" />
                    <label asp-for="IsHighlight" class="control-label"></label>
                    <span asp-validation-for="IsHighlight" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label for="CoverImage">Image</label>
                    <div class="custom-file">
                        <input type="file" asp-for="CoverImage" class="custom-file-input">
                        <label for="CoverImage" class="custom-file-label">Choose File</label>
                    </div>
                    <small class="form-text text-muted">Max Size 3mb</small>
                    <span asp-validation-for="CoverImage" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Body" class="control-label"></label>
                    <textarea asp-for="Body" class="form-control"></textarea>
                    <span asp-validation-for="Body" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input type="submit" value="@(Model.Id > 0 ? "Update" : "Create")" class="btn btn-default" />
                </div>
            </form>
        </div>
    </div>

    <div>
        <a asp-action="Index">Back to List</a>
    </div>

</div>

@section Scripts{
    <script src="https://cdn.ckeditor.com/4.9.2/standard/ckeditor.js"></script>
    <script>
        CKEDITOR.replace('Body');
        $(document).ready(function () {
            DashboardController.initPostDetail();
        })
    </script>
}